# after launching the instance, you need to require login into instnace via bellow command -
>  gcloud beta compute --project "project-id" ssh --zone "us-central1-a" "instance-name" --tunnel-through-iap 
# because that assigned public ip is nat_ip, you need to communicate via private ip

# deployment command
> terraform apply -var-file="xx-variables.tfvars" {xx = as per the project}